"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.removeTag = removeTag;
/**
 * @fileoverview Remove a tag
 * @author Frédéric Maquin <fred@ephread.com>
 */

// ----------------------------------------------------------------------------
// Public
// ----------------------------------------------------------------------------

/**
 * removeTag - Remove a tag specified by the given nodes.
 *
 * @param {object} rule  rule definition
 * @param {object} nodes nodes to remove
 */
function removeTag(rule, nodes) {
  nodes.forEach(function (node) {
    return node.remove();
  });
}